Subject: Re: bug#78562: Coreutils-9.7 do not build on macOS High Sierra, Version 10.13.6, because src/cksum.c: uses invalid cpu feature string for builtin

From: Pádraig Brady <[email-masked]>
Date: Thu, 29 May 2025 10:06:49 +0100

On 29/05/2025 09:12, Peter Dyballa wrote:
> /opt/local/bin/gcc-mp-14 -std=gnu23 -I. -I./lib -Ilib -I./lib -Isrc -I./src -I/opt/local/include -mavx512bw -mavx512f -mvpclmulqdq -pipe -Os -arch x86_64 -MT src/libcksum_avx512_a-cksum_avx512.o -MD -MP -MF src/.deps/libcksum_avx512_a-cksum_avx512.Tpo -c -o src/libcksum_avx512_a-cksum_avx512.o `test -f 'src/cksum_avx512.c' || echo './'`src/cksum_avx512.c
> 	<stdin>:59:2: error: instruction requires: AVX-512 ISA
> 	        vmovdqa64       lC0(%rip), %zmm0
> 	        ^

The above suggests that `/opt/local/bin/gcc-mp-14 -std=gnu23 ... -mavx512bw -mavx512f -mvpclmulqdq ... -arch x86_64`
isn't enough to support building with AVX-512 ISA.

That should be fine though if the same determination is made at configure time,
which would cause USE_AVX512_CRC32 to _not_ be defined.
You should be able to see the configure time checks with:

   grep -A3 'avx512 pclmul intrinsic exists' config.log

cheers,
Pádraig

p.s. I'm surprised you need autoconf when building from Paul's snapshot,
are you further patching ac files during the macports build or something?